{pkgs, ...}: {
  services = {
    printing = {
      enable = true;
      drivers = [pkgs.hplip];
    };

    irqbalance.enable = true;
    thermald.enable = true;
  };

  # Use in place of hypridle's before_sleep_cmd, since systemd does not wait for
  # it to complete
  powerManagement = {
    enable = true;
    cpuFreqGovernor = "schedutil";
    powerDownCommands = ''
      # Lock all sessions
      loginctl lock-sessions

      # Wait for lockscreen(s) to be up
      sleep 1
    '';
  };
}
